import request from '@/utils/request'

export function store(data) {
  return request({
    url: '/api/admin/regulation/article-store',
    method: 'post',
    data
  })
}

export function save(data) {
  return request({
    url: '/api/admin/regulation/article-save',
    method: 'post',
    data
  })
}

export function listarticle(page,
  menu_id,
  keyword,
  page_size, type) {
  return request({
    url: '/api/admin/regulation/article-index',
    method: 'get',
    params: {
      page,
      menu_id,
      keyword,
      page_size,
      type
    }
  })
}

export function del(regulation_article_id) {
  return request({
    url: '/api/admin/regulation/article-destroy',
    method: 'get',
    params: {
      regulation_article_id
    }
  })
}

export function get(regulation_article_id) {
  return request({
    url: '/api/admin/regulation/article-show',
    method: 'get',
    params: {
      regulation_article_id
    }
  })
}
